#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Sphinx directive to add unselectable prompt
Summary(pl.UTF-8):	Dyrektywa Sphinksa do dodawania pytań bez możliwości wyboru
Name:		python-sphinx-prompt
# keep 1.4.x here for python2 support
Version:	1.4.0
Release:	5
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-prompt/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-prompt/sphinx-prompt-%{version}.tar.gz
# Source0-md5:	4b217991abf068ce9e22cf10393faf56
URL:		http://github.com/sbrunner/sphinx-prompt
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 2
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx directive to add unselectable prompt.

%description -l pl.UTF-8
Dyrektywa Sphinksa do dodawania pytań bez możliwości wyboru.

%package -n python3-sphinx-prompt
Summary:	Sphinx directive to add unselectable prompt
Summary(pl.UTF-8):	Dyrektywa Sphinksa do dodawania pytań bez możliwości wyboru
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-sphinx-prompt
Sphinx directive to add unselectable prompt.

%description -n python3-sphinx-prompt -l pl.UTF-8
Dyrektywa Sphinksa do dodawania pytań bez możliwości wyboru.

%prep
%setup -q -n sphinx-prompt-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/sphinx-prompt
%{py_sitescriptdir}/sphinx_prompt-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-sphinx-prompt
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/sphinx-prompt
%{py3_sitescriptdir}/sphinx_prompt-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinx-prompt.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4e89dc7
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7db0c64
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> efc6b49
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> fc5ce21
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 76c14f6
- updated to 1.4.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> f8c158e
- release 2 (by relup.sh)

* Sun Jan 12 2020 Jakub Bogusz <qboosh@pld-linux.org> b72cb7e
- updated to 1.1.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fc25912
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 898e70b
- new

